package jalview.datamodel;

/**
 *  * Abstract interface implemented by Alignment Export dialog to retrieve user
 * configurations
 * 
 * @author tcnofoegbu
 *
 */
public interface AlignExportSettingBeanI
{

  /**
   * Checks if hidden sequences should be exported
   * 
   * @return
   */
  public boolean isExportHiddenSequences();

  /**
   * Checks if hidden columns shoulb be exported
   * 
   * @return
   */
  public boolean isExportHiddenColumns();

  /**
   * Checks if Annotations should be exported, note this is available for
   * complex flat file exports like JSON, HTML, GFF
   * 
   * @return
   */
  public boolean isExportAnnotations();

  /**
   * Checks if SequenceFeatures should be exported, note this is available for
   * complex flat file exports like JSON, HTML, GFF
   * 
   * @return
   */
  public boolean isExportFeatures();

  /**
   * Checks if SequenceGroups should be exported, note this is available for
   * complex flat file exports like JSON, HTML, GFF
   * 
   * @return
   */
  public boolean isExportGroups();

  public boolean isCancelled();
}
